searchNodes=[{"doc":"Driver for the MAX31865 thermocouple amplifier for use on a Raspberry Pi.","ref":"Max31865.html","title":"Max31865","type":"module"},{"doc":"Returns the resistance of the connected RTD. Accepts a Server name (in case multiple Max31865 modules are connected), but defaults to the module name if none is set.","ref":"Max31865.html#clear_faults/1","title":"Max31865.clear_faults/1","type":"function"},{"doc":"Returns the resistance of the connected RTD. Accepts a Server name (in case multiple Max31865 modules are connected), but defaults to the module name if none is set.","ref":"Max31865.html#get_resistance/1","title":"Max31865.get_resistance/1","type":"function"},{"doc":"Returns the calculated temperature of the connected RTD in degrees celcius. Accepts a Server name (in case multiple Max31865 modules are connected), but defaults to the module name if none is set.","ref":"Max31865.html#get_temp/1","title":"Max31865.get_temp/1","type":"function"},{"doc":"Contains logic for performing and obtaining the results of Conversions.","ref":"Max31865.Conversions.html","title":"Max31865.Conversions","type":"module"},{"doc":"Returns the current resistance value for the RTD. If auto_convert mode is enabled, this will be the result of the last conversion. If it is disabled, a one-shot conversion will be performed and the result of that conversion will be returned.","ref":"Max31865.Conversions.html#get_resistance/1","title":"Max31865.Conversions.get_resistance/1","type":"function"},{"doc":"Returns the current temperature of the RTD in degrees celcius. If auto_convert mode is enabled, this will be the result of the last conversion. If it is disabled, a one-shot conversion will be performed and the result of that conversion will be returned.","ref":"Max31865.Conversions.html#get_temp/1","title":"Max31865.Conversions.get_temp/1","type":"function"},{"doc":"Allows the reading and writing of the Max31865 Config Register. Register Layout The config register for the MAX31865 consists of 8 bits, from left to right: Vbias AutoMode OneShotMode ThreeWireMode FaultCycle1 FaultCycle2 Fault Clear Filter Select Name R/W Behaviour Vbias R/W Enables/Disables Vbias. Vbias introduces self heating so it should be disabled when not actively performing conversions. AutoMode R/W When enabled, conversions will be performed constantly even if they are not being read. Vbias must be enabled if auto mode is enabled. OneShotMode R/W When enabled a single conversion is performed, after which the bit is automatically cleared. ThreeWireMode R/W When enabled, three wire mode is used. Otherwise, 2/4 wire mode is used. FaultCycle1 R Used to determine fault cycle status. See below for further detail. FaultCycle2 R Used to determine fault cycle status. See below for further detail. FaultClear R/W When enabled, any faults will be cleared, after which the bit is automatically cleared. FilterSelect R/W Used to filter out mains noise. When enabled, 50hz mode is used. Otherwise, 60hz mode is used. Fault Cycle Status Bits The Fault Cycle bits can be written to in order to trigger a fault detection with either an automatic or manual delay. In the case of a manual delay, fault detection continues until the user requests that it ends. The Fault Cycle bits can be read to determine the status of the Fault Cycle. Note that these bits do not report faults. For that, see the FaultRegister. Writing to Fault Cycle Bits Bit 1 Bit 2 Meaning 0 0 N/A 1 0 Begin Fault detection with Automatic completion 0 1 Begin Fault detection with Manual completion 1 1 End Fault detection with Manual completion Reading from Fault Cycle Bits Bit 1 Bit 2 Meaning 0 0 Fault detection finished 1 0 Automatic fault detection still running 0 1 Manual cycle 1 still running; waiting for user to write 11 1 1 Manual cycle 2 still running","ref":"Max31865.Registers.ConfigRegister.html","title":"Max31865.Registers.ConfigRegister","type":"module"},{"doc":"Accepts a Max31865 SPI reference and reads the Config Register, then returns a ConfigRegister struct representing it's contents.","ref":"Max31865.Registers.ConfigRegister.html#read/1","title":"Max31865.Registers.ConfigRegister.read/1","type":"function"},{"doc":"Accepts a ConfigRegister struct and a Max31865 SPI reference and writes it to the ConfigRegister.","ref":"Max31865.Registers.ConfigRegister.html#write/2","title":"Max31865.Registers.ConfigRegister.write/2","type":"function"},{"doc":"Allows the reading of the Max31865 Fault Register. Register Layout The fault register for the MAX31865 consists of 8 bits. Only the first 6 are used. From left to right: RTDHighThreshold RTDLowThreshold RefInLow RefInHigh RTDInLow OverUnderVoltage When read back, each bit that returns true represents a fault that was detected. Investigating Faults The cause of a fault bit will vary depending on how many wires you are using to connect your RTD. More information on troubleshooting can be found in the data sheet on pages 22-23 Clearing Faults Faults are cleared by setting the Fault Clear bit in the ConfigRegister . This can be done using Max31865.clear_faults/1","ref":"Max31865.Registers.FaultRegister.html","title":"Max31865.Registers.FaultRegister","type":"module"},{"doc":"","ref":"Max31865.Registers.FaultRegister.html#read/1","title":"Max31865.Registers.FaultRegister.read/1","type":"function"},{"doc":"","ref":"Max31865.Registers.FaultRegister.html#to_struct/1","title":"Max31865.Registers.FaultRegister.to_struct/1","type":"function"},{"doc":"Allows the reading and writing of the Max31865 Fault Threshold Register. Register Layout Each fault threshold register consists of 16-bits of data which represent an integer. That integer is used to determine if a reading is higher or lower than is allowed.any() The default state for the low registers is 0, the default state for the high registers is 65,535.","ref":"Max31865.Registers.FaultThresholdRegister.html","title":"Max31865.Registers.FaultThresholdRegister","type":"module"},{"doc":"Read a fault threshold register. Parameters: :high / :low which signify whether the register contains the high threshold or low threshold :max_ref which is a reference to a Max31865 SPI Connection Returns a tuple of {:ok, threshold} where threshold integer representing the current value the requested register.","ref":"Max31865.Registers.FaultThresholdRegister.html#read/2","title":"Max31865.Registers.FaultThresholdRegister.read/2","type":"function"},{"doc":"Write to a fault threshold register. Paramaters: :high / :low which signify whether the register contains the high threshold or low threshold An integer representing the new threshold :max_ref which is a reference to a Max31865 SPI Connection Returns a tuple of {:ok, value} where value is the new threshold written to the requested register.","ref":"Max31865.Registers.FaultThresholdRegister.html#write/3","title":"Max31865.Registers.FaultThresholdRegister.write/3","type":"function"},{"doc":"Allows the reading of the Max31865 RTD Resistance Register. Register Layout The first 15 bits represent the ratio of RTD resistance to reference resistance The 16th bit will be set if the value returned was higher or lower than the values defined in the Fault Threshold Register","ref":"Max31865.Registers.RTDResistanceRegister.html","title":"Max31865.Registers.RTDResistanceRegister","type":"module"},{"doc":"Get a raw reading from the RTD resistance register. If the reading was within the bounds set in the Fault Threshold Register , returns {:ok, reading} , where reading is a 15-bit integer. If the reading was outside those bounds, returns {:error, :read_threshold_fault}","ref":"Max31865.Registers.RTDResistanceRegister.html#read/1","title":"Max31865.Registers.RTDResistanceRegister.read/1","type":"function"},{"doc":"Server to interact with Max31865 connected via SPI. Config options rtd_nominal: The expected resistance of the RTD at 0 degrees C. Typically 100. ref_resistor: The resistance of the reference resistor. Defaults to 430.0 for use with the PT100. Set to 4300.0 for the PT1000. spi_device: The SPI device being used. Defaults to 0. spi_device_cs_pin: The CS pin for the SPI device being used. Defaults to 0. rtd_wires: Whether 3 wire mode should be enabled. Defaults to false for use in 2/4 wire mode. Set to true for use in 3 wire mode. auto_convert: Whether auto-conversion mode should be used - if true, the module will constantly measure resistance. This introduces self heating as it requires the VBias to be enabled constantly, so unless you have a particular need for it, using one shot measurements is recommended. filter_select_mode: Determines whether to filter for 50hz or 60hz noise from the mains. If you live in North America, the default (60) will work.","ref":"Max31865.Server.html","title":"Max31865.Server","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Max31865.Server.html#child_spec/1","title":"Max31865.Server.child_spec/1","type":"function"},{"doc":"Clears any faults set in the Fault Register .","ref":"Max31865.Server.html#clear_faults/1","title":"Max31865.Server.clear_faults/1","type":"function"},{"doc":"Returns a Config Register struct with the current contents of the register.","ref":"Max31865.Server.html#get_config/1","title":"Max31865.Server.get_config/1","type":"function"},{"doc":"Returns the reference to the SPI connection that was opened for this Server.","ref":"Max31865.Server.html#get_max_ref/1","title":"Max31865.Server.get_max_ref/1","type":"function"},{"doc":"Returns the resistance calculated from the RTD.","ref":"Max31865.Server.html#get_resistance/1","title":"Max31865.Server.get_resistance/1","type":"function"},{"doc":"Returns the temperature in degrees celcius. The result is calculated mathematically using the formula found in the datasheet: https://datasheets.maximintegrated.com/en/ds/MAX31865.pdf","ref":"Max31865.Server.html#get_temp/1","title":"Max31865.Server.get_temp/1","type":"function"},{"doc":"","ref":"Max31865.Server.html#start_link/1","title":"Max31865.Server.start_link/1","type":"function"},{"doc":"","ref":"Max31865.Server.html#t:t/0","title":"Max31865.Server.t/0","type":"type"},{"doc":"","ref":"readme.html","title":"Max31865","type":"extras"},{"doc":"Driver for the Max31865 thermocouple amplifier for use on a Raspberry Pi. Tested with the Raspberry Pi Zero W V 1.2. Should work similarly with other Raspberry PI devices. For more detail on the Max31865 see the datasheet","ref":"readme.html#overview","title":"Max31865 - Overview","type":"extras"},{"doc":"Add to your deps defp deps do [ ... { :max31865 , &quot;~&gt; 0.1.0&quot; , hex : :max31865 } , ... ] end","ref":"readme.html#installation","title":"Max31865 - Installation","type":"extras"},{"doc":"Start the server, passing in any required config. The will allow for one-shot conversions using Spidev0.0 on a raspberry pi with a PT100 connected with either 2 or 4 wires. For more information on configuration options, please see the Server module . def application do [ { Max3186.Server , [ rtd_wires : 3 , spi_device_cs_pin : 1 ] } extra_applications : [ :logger ] ] end Then you can get the temperature of the probe. A conversion takes ~75ms to complete in one-shot mode. The values returned are in degrees celcius. iex(1)&gt; Max31865 . get_temp ( ) 22.79218286783738","ref":"readme.html#usage","title":"Max31865 - Usage","type":"extras"}]